
#include <iostream>
#include <vector>
#include <string>
#include <cctype>
#include <cassert>
using namespace std;

class T{
public :
	bool is_char;
	char c;
	int len;
	vector<pair<int,class T> >children;
	void create(string &s,int &idx){
		is_char = false;
		while(true){
			if(s[idx] == ')'){
				len = 0;
				for(int i=0;i<children.size();i++)
					len = min(1000001,len+children[i].first * children[i].second.len);
				return;
			}
			int rep = 1;
			if(isdigit(s[idx])){
				rep = 0;
				while(isdigit(s[idx])) rep = rep*10+s[idx++]-'0';
			}
			if(s[idx]=='('){
				idx++;
				children.resize(children.size()+1);
				children[children.size()-1].first = rep;
				children[children.size()-1].second.create(s,idx);
			}else if(isupper(s[idx])){
				class T t;
				t.is_char = true;
				t.c = s[idx];
				t.len = 1;
				children.push_back(make_pair(rep,t));
			}else{
				assert(false);
			}
			idx++;
		}
	}
	char find(int nth){
		if(len <= nth) return '0';
		if(is_char) return c;
		for(int i=0;i<children.size();i++){
			if(children[i].first*children[i].second.len <= nth){
				nth-=children[i].first*children[i].second.len;
			}else{
				return children[i].second.find(nth%children[i].second.len);
			}
		}
		assert(false);
	}
};

int main(void){
	while(true){
		string s;
		int nth;
		cin >> s >> nth;
		if(s=="0"&&nth==0) break;
		s+=")";
		T root;
		int idx = 0;
		root.create(s,idx);
		char ans = root.find(nth);
		cout << ans << endl;
	}
	return 0;
}
